Subject: RE: SystemACE driver problem

From: "John Hahn" <[email-masked]>
Date: Sun, 21 Oct 2007 19:52:32 -0700

Grant

Regarding your comment about the new xsysace.c driver vs. the old Xilinx
one, is that chosen at the kernel config time ? 

i.e.
cp arch/ppc/configs/ml403_defconfig
make ARCH=ppc CROSS_COMPILE=/opt/eldk4.1/usr/bin/ppc_4xx- oldconfig

...
Xilinx SystemACE support (XILINX_SYSACE) [N/m/y/?] (NEW) y
Xilinx SystemACE support (old driver) (XILINX_SYSACE_OLD) [N/m/y/?] (NEW) N

I am also about build and test with the 2.6.23-rc2 same source. Just wanted
to be sure I am choosing the right driver for the ml403 reference design
bits from Xilinx.

Thanks

John Hahn
BCF Semiconductor
---

P.S. Sorry for taking the thread off on a slight tangent ...

> From: Grant Likely
> Sent: Friday, October 19, 2007 11:21 AM
> 
... <snip>
>
> I don't know about the old xilinx supplied sysace driver, but the new
> xsysace.c driver is robust enough to work around missed interrupts.  I
> don't know of any other problems with the opb_sysace IP core.
> 
> Cheers,
> g.
> 
> --
> Grant Likely, B.Sc., P.Eng.
> Secret Lab Technologies Ltd.
> [email-masked]
> (403) 399-0195
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded